Remove Business Location Access

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.lsk.lightspeed.app/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Lightspeed Restaurant K-Series MCP server": {
    "url": "https://api-docs.lsk.lightspeed.app/mcp"
  }
}

Close
DELETE /staff/v1/businessLocations/{businessLocationId}/unAssignStaff/{staffId}

Path parameters

  • businessLocationId integer(int64) Required

    The unique identifier for the business location.

  • staffId integer(int64) Required

    The unique identifier for the user.

Responses

  • 204

    User business location access removed successfully.

  • 400

    Bad request. Invalid input parameters.

  • 401

    Authentication failed.

  • 403

    Access Denied.

  • 500

    Internal Server Error.

DELETE /staff/v1/businessLocations/{businessLocationId}/unAssignStaff/{staffId}
curl \
 --request DELETE 'https://api.trial.lsk.lightspeed.app/staff/v1/businessLocations/{businessLocationId}/unAssignStaff/{staffId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"